#!/usr/bin/env python
import coral
L = coral.lang.UML14

m=L.Model(name="m")
p=L.Package()
c=L.Class()
p.ownedElement.append(c)
m.ownedElement.append(p)

l=m.__getAllParts__()

assert(m in l)
assert(p in l)
assert(c in l)
assert(len(l)==3)
